{"info":{"description":"Observability API for querying logs, traces, and metrics. Requires a Bearer API key and X-Project-Id header.","title":"Monoscope API","version":"1.0"},"servers":[{"url":"/api/v1"}],"paths":{"/events":{"get":{"parameters":[{"in":"query","name":"query","required":false,"schema":{"type":"string"}},{"in":"query","name":"since","required":false,"schema":{"type":"string"}},{"in":"query","name":"from","required":false,"schema":{"type":"string"}},{"in":"query","name":"to","required":false,"schema":{"type":"string"}},{"in":"query","name":"source","required":false,"schema":{"type":"string"}},{"in":"query","name":"limit","required":false,"schema":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}},{"in":"query","name":"with_children","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"include_attributes","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/LogResult"}}},"description":""},"400":{"description":"Invalid `include_attributes` or `with_children` or `limit` or `source` or `to` or `from` or `since` or `query`"}}}},"/events/{event_id}/time/{timestamp}":{"get":{"parameters":[{"in":"path","name":"event_id","required":true,"schema":{"format":"uuid","type":"string"}},{"in":"path","name":"timestamp","required":true,"schema":{"format":"yyyy-mm-ddThh:MM:ssZ","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"404":{"description":"`event_id` or `timestamp` not found"}}}},"/metrics":{"get":{"parameters":[{"in":"query","name":"query","required":false,"schema":{"type":"string"}},{"in":"query","name":"data_type","required":false,"schema":{"enum":["metric","json","float","text"],"type":"string"}},{"in":"query","name":"since","required":false,"schema":{"type":"string"}},{"in":"query","name":"from","required":false,"schema":{"type":"string"}},{"in":"query","name":"to","required":false,"schema":{"type":"string"}},{"in":"query","name":"source","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MetricsData"}}},"description":""},"400":{"description":"Invalid `source` or `to` or `from` or `since` or `data_type` or `query`"}}}},"/schema":{"get":{"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/Schema"}}},"description":""}}}},"/facets":{"get":{"parameters":[{"in":"query","name":"since","required":false,"schema":{"type":"string"}},{"in":"query","name":"from","required":false,"schema":{"type":"string"}},{"in":"query","name":"to","required":false,"schema":{"type":"string"}},{"in":"query","name":"field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `field` or `to` or `from` or `since`"}}}},"/rrweb":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ReplayPost"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/monitors":{"get":{"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"items":{"$ref":"#/components/schemas/QueryMonitor"},"type":"array"}}},"description":""}}},"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MonitorInput"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/QueryMonitor"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/monitors/{monitor_id}":{"get":{"parameters":[{"in":"path","name":"monitor_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/QueryMonitor"}}},"description":""},"404":{"description":"`monitor_id` not found"}}},"put":{"parameters":[{"in":"path","name":"monitor_id","required":true,"schema":{"format":"uuid","type":"string"}}],"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MonitorInput"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/QueryMonitor"}}},"description":""},"400":{"description":"Invalid `body`"},"404":{"description":"`monitor_id` not found"}}},"delete":{"parameters":[{"in":"path","name":"monitor_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{}},"description":""},"404":{"description":"`monitor_id` not found"}}},"patch":{"parameters":[{"in":"path","name":"monitor_id","required":true,"schema":{"format":"uuid","type":"string"}}],"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MonitorPatch"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/QueryMonitor"}}},"description":""},"400":{"description":"Invalid `body`"},"404":{"description":"`monitor_id` not found"}}}},"/monitors/apply":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MonitorInput"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/QueryMonitor"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/monitors/{monitor_id}/yaml":{"get":{"parameters":[{"in":"path","name":"monitor_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MonitorInput"}}},"description":""},"404":{"description":"`monitor_id` not found"}}}},"/monitors/{monitor_id}/toggle_active":{"post":{"parameters":[{"in":"path","name":"monitor_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/QueryMonitor"}}},"description":""},"404":{"description":"`monitor_id` not found"}}}},"/monitors/{monitor_id}/mute":{"post":{"parameters":[{"in":"path","name":"monitor_id","required":true,"schema":{"format":"uuid","type":"string"}},{"in":"query","name":"duration_minutes","required":false,"schema":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/QueryMonitor"}}},"description":""},"400":{"description":"Invalid `duration_minutes`"},"404":{"description":"`monitor_id` not found"}}}},"/monitors/{monitor_id}/unmute":{"post":{"parameters":[{"in":"path","name":"monitor_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/QueryMonitor"}}},"description":""},"404":{"description":"`monitor_id` not found"}}}},"/monitors/{monitor_id}/resolve":{"post":{"parameters":[{"in":"path","name":"monitor_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/QueryMonitor"}}},"description":""},"404":{"description":"`monitor_id` not found"}}}},"/monitors/bulk":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/events/query":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/EventsQuery"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/LogResult"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/share":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ShareLinkCreate"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ShareLinkCreated"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/dashboards":{"get":{"parameters":[{"in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"in":"query","name":"team_id","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"items":{"$ref":"#/components/schemas/DashboardSummary"},"type":"array"}}},"description":""},"400":{"description":"Invalid `team_id` or `sort`"}}},"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/dashboards/{dashboard_id}":{"get":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"404":{"description":"`dashboard_id` not found"}}},"put":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}}],"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"},"404":{"description":"`dashboard_id` not found"}}},"delete":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{}},"description":""},"404":{"description":"`dashboard_id` not found"}}},"patch":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}}],"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"},"404":{"description":"`dashboard_id` not found"}}}},"/dashboards/{dashboard_id}/data":{"get":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}},{"in":"query","name":"tab","required":false,"schema":{"type":"string"}},{"in":"query","name":"widget","required":false,"schema":{"type":"string"}},{"in":"query","name":"since","required":false,"schema":{"type":"string"}},{"in":"query","name":"from","required":false,"schema":{"type":"string"}},{"in":"query","name":"to","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `to` or `from` or `since` or `widget` or `tab`"},"404":{"description":"`dashboard_id` not found"}}}},"/dashboards/apply":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/dashboards/{dashboard_id}/duplicate":{"post":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"404":{"description":"`dashboard_id` not found"}}}},"/dashboards/{dashboard_id}/star":{"post":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"404":{"description":"`dashboard_id` not found"}}},"delete":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{}},"description":""},"404":{"description":"`dashboard_id` not found"}}}},"/dashboards/{dashboard_id}/yaml":{"get":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"404":{"description":"`dashboard_id` not found"}}}},"/dashboards/{dashboard_id}/widgets":{"put":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}}],"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"},"404":{"description":"`dashboard_id` not found"}}}},"/dashboards/{dashboard_id}/widgets/{widget_id}":{"delete":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}},{"in":"path","name":"widget_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{}},"description":""},"404":{"description":"`dashboard_id` or `widget_id` not found"}}}},"/dashboards/{dashboard_id}/widgets/order":{"patch":{"parameters":[{"in":"path","name":"dashboard_id","required":true,"schema":{"format":"uuid","type":"string"}},{"in":"query","name":"tab","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"additionalProperties":{"$ref":"#/components/schemas/WidgetPosition"},"type":"object"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{}},"description":""},"400":{"description":"Invalid `body` or `tab`"},"404":{"description":"`dashboard_id` not found"}}}},"/dashboards/bulk":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/api_keys":{"get":{"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"items":{"$ref":"#/components/schemas/ApiKeySummary"},"type":"array"}}},"description":""}}},"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ApiKeyCreate"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ApiKeyCreated"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/api_keys/{key_id}":{"get":{"parameters":[{"in":"path","name":"key_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ApiKeySummary"}}},"description":""},"404":{"description":"`key_id` not found"}}},"delete":{"parameters":[{"in":"path","name":"key_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{}},"description":""},"404":{"description":"`key_id` not found"}}}},"/api_keys/{key_id}/activate":{"post":{"parameters":[{"in":"path","name":"key_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ApiKeySummary"}}},"description":""},"404":{"description":"`key_id` not found"}}}},"/api_keys/{key_id}/deactivate":{"post":{"parameters":[{"in":"path","name":"key_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ApiKeySummary"}}},"description":""},"404":{"description":"`key_id` not found"}}}},"/me":{"get":{"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MeResponse"}}},"description":""}}}},"/project":{"get":{"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ProjectFull"}}},"description":""}}},"patch":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ProjectPatch"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/ProjectFull"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/endpoints":{"get":{"parameters":[{"in":"query","name":"search","required":false,"schema":{"type":"string"}},{"in":"query","name":"outgoing","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"page","required":false,"schema":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}},{"in":"query","name":"per_page","required":false,"schema":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `per_page` or `page` or `outgoing` or `search`"}}}},"/endpoints/{endpoint_id}":{"get":{"parameters":[{"in":"path","name":"endpoint_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"404":{"description":"`endpoint_id` not found"}}}},"/log_patterns":{"get":{"parameters":[{"in":"query","name":"page","required":false,"schema":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}},{"in":"query","name":"per_page","required":false,"schema":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `per_page` or `page`"}}}},"/log_patterns/{pattern_id}":{"get":{"parameters":[{"in":"path","name":"pattern_id","required":true,"schema":{"format":"int64","maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/LogPatternFull"}}},"description":""},"404":{"description":"`pattern_id` not found"}}}},"/log_patterns/{pattern_id}/ack":{"post":{"parameters":[{"in":"path","name":"pattern_id","required":true,"schema":{"format":"int64","maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/LogPatternFull"}}},"description":""},"404":{"description":"`pattern_id` not found"}}}},"/log_patterns/bulk":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/issues":{"get":{"parameters":[{"in":"query","name":"status","required":false,"schema":{"enum":["open","acknowledged","archived","all"],"type":"string"}},{"in":"query","name":"type","required":false,"schema":{"type":"string"}},{"in":"query","name":"service","required":false,"schema":{"type":"string"}},{"in":"query","name":"page","required":false,"schema":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}},{"in":"query","name":"per_page","required":false,"schema":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `per_page` or `page` or `service` or `type` or `status`"}}}},"/issues/{issue_id}":{"get":{"parameters":[{"in":"path","name":"issue_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"404":{"description":"`issue_id` not found"}}}},"/issues/{issue_id}/ack":{"post":{"parameters":[{"in":"path","name":"issue_id","required":true,"schema":{"format":"uuid","type":"string"}},{"in":"query","name":"duration_minutes","required":false,"schema":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `duration_minutes`"},"404":{"description":"`issue_id` not found"}}}},"/issues/{issue_id}/unack":{"post":{"parameters":[{"in":"path","name":"issue_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"404":{"description":"`issue_id` not found"}}}},"/issues/{issue_id}/archive":{"post":{"parameters":[{"in":"path","name":"issue_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"404":{"description":"`issue_id` not found"}}}},"/issues/{issue_id}/unarchive":{"post":{"parameters":[{"in":"path","name":"issue_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"404":{"description":"`issue_id` not found"}}}},"/issues/bulk":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/teams":{"get":{"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"items":{"$ref":"#/components/schemas/TeamSummary"},"type":"array"}}},"description":""}}},"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/TeamInput"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/TeamFull"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/teams/{team_id}":{"get":{"parameters":[{"in":"path","name":"team_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/TeamFull"}}},"description":""},"404":{"description":"`team_id` not found"}}},"put":{"parameters":[{"in":"path","name":"team_id","required":true,"schema":{"format":"uuid","type":"string"}}],"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/TeamInput"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/TeamFull"}}},"description":""},"400":{"description":"Invalid `body`"},"404":{"description":"`team_id` not found"}}},"delete":{"parameters":[{"in":"path","name":"team_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{}},"description":""},"404":{"description":"`team_id` not found"}}},"patch":{"parameters":[{"in":"path","name":"team_id","required":true,"schema":{"format":"uuid","type":"string"}}],"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/TeamPatch"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/TeamFull"}}},"description":""},"400":{"description":"Invalid `body`"},"404":{"description":"`team_id` not found"}}}},"/teams/bulk":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/members":{"get":{"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"items":{"$ref":"#/components/schemas/MemberSummary"},"type":"array"}}},"description":""}}},"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MemberAdd"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MemberSummary"}}},"description":""},"400":{"description":"Invalid `body`"}}}},"/members/{user_id}":{"get":{"parameters":[{"in":"path","name":"user_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MemberSummary"}}},"description":""},"404":{"description":"`user_id` not found"}}},"delete":{"parameters":[{"in":"path","name":"user_id","required":true,"schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json;charset=utf-8":{}},"description":""},"404":{"description":"`user_id` not found"}}},"patch":{"parameters":[{"in":"path","name":"user_id","required":true,"schema":{"format":"uuid","type":"string"}}],"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MemberPatch"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/MemberSummary"}}},"description":""},"400":{"description":"Invalid `body`"},"404":{"description":"`user_id` not found"}}}},"/mcp":{"post":{"requestBody":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}}},"responses":{"200":{"content":{"application/json;charset=utf-8":{"schema":{"$ref":"#/components/schemas/JSONValue"}}},"description":""},"400":{"description":"Invalid `body`"}}}}},"components":{"schemas":{"LogResult":{"properties":{"colIdxMap":{"additionalProperties":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"type":"object"},"cols":{"items":{"type":"string"},"type":"array"},"count":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"cursor":{"type":"string"},"error":{"type":"string"},"hasMore":{"type":"boolean"},"logsData":{"items":{"items":{"$ref":"#/components/schemas/JSONValue"},"type":"array"},"type":"array"},"nextUrl":{"type":"string"},"queryResultCount":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"recentUrl":{"type":"string"},"resetLogsUrl":{"type":"string"},"serviceColors":{"additionalProperties":{"type":"string"},"type":"object"},"traces":{"items":{"$ref":"#/components/schemas/TraceTreeEntry"},"type":"array"}},"required":["logsData","cols","colIdxMap","nextUrl","resetLogsUrl","recentUrl","serviceColors","queryResultCount","count","hasMore","traces"],"type":"object"},"JSONValue":{},"TraceTreeEntry":{"properties":{"children":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"type":"object"},"duration":{"format":"int64","maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"root":{"type":"string"},"start_time":{"format":"int64","maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"trace_id":{"type":"string"},"trace_start_time":{"type":"string"}},"required":["trace_id","start_time","duration","root","children"],"type":"object"},"MetricsData":{"properties":{"data_float":{"format":"double","type":"number"},"data_json":{"items":{"items":{"$ref":"#/components/schemas/JSONValue"},"type":"array"},"type":"array"},"data_text":{"items":{"items":{"type":"string"},"type":"array"},"type":"array"},"dataset":{"items":{"items":{"format":"double","type":"number"},"type":"array"},"type":"array"},"error":{"type":"string"},"from":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"headers":{"items":{"type":"string"},"type":"array"},"rows_count":{"format":"double","type":"number"},"rows_per_min":{"format":"double","type":"number"},"stats":{"$ref":"#/components/schemas/MetricsStats"},"to":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}},"required":["dataset","data_json","data_text","headers","rows_count"],"type":"object"},"MetricsStats":{"properties":{"count":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"max":{"format":"double","type":"number"},"max_group_sum":{"format":"double","type":"number"},"mean":{"format":"double","type":"number"},"min":{"format":"double","type":"number"},"mode":{"format":"double","type":"number"},"sum":{"format":"double","type":"number"}},"required":["min","max","sum","count","mean","mode","max_group_sum"],"type":"object"},"Schema":{"properties":{"fields":{"additionalProperties":{"$ref":"#/components/schemas/FieldInfo"},"type":"object"}},"required":["fields"],"type":"object"},"FieldInfo":{"properties":{"description":{"type":"string"},"examples":{"items":{"type":"string"},"type":"array"},"field_type":{"type":"string"}},"required":["field_type","description"],"type":"object"},"ReplayPost":{"properties":{"events":{"$ref":"#/components/schemas/JSONValue"},"sessionId":{"$ref":"#/components/schemas/UUID"},"timestamp":{"$ref":"#/components/schemas/UTCTime"},"userEmail":{"type":"string"},"userId":{"type":"string"},"userName":{"type":"string"}},"required":["events","sessionId","timestamp"],"type":"object"},"UUID":{"example":"00000000-0000-0000-0000-000000000000","format":"uuid","type":"string"},"UTCTime":{"example":"2016-07-22T00:00:00Z","format":"yyyy-mm-ddThh:MM:ssZ","type":"string"},"QueryMonitor":{"properties":{"alert_config":{"$ref":"#/components/schemas/MonitorAlertConfig"},"alert_last_triggered":{"$ref":"#/components/schemas/UTCTime"},"alert_recovery_threshold":{"format":"double","type":"number"},"alert_threshold":{"format":"double","type":"number"},"check_interval_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"created_at":{"$ref":"#/components/schemas/UTCTime"},"current_status":{"enum":["normal","warning","alerting"],"type":"string"},"current_value":{"format":"double","type":"number"},"dashboard_id":{"$ref":"#/components/schemas/UUID"},"deactivated_at":{"$ref":"#/components/schemas/UTCTime"},"deleted_at":{"$ref":"#/components/schemas/UTCTime"},"id":{"$ref":"#/components/schemas/UUID"},"last_evaluated":{"$ref":"#/components/schemas/UTCTime"},"log_query":{"type":"string"},"log_query_as_sql":{"type":"string"},"muted_until":{"$ref":"#/components/schemas/UTCTime"},"notification_count":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"project_id":{"$ref":"#/components/schemas/UUID"},"renotify_interval_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"stop_after_count":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"teams":{"items":{"$ref":"#/components/schemas/UUID"},"type":"array"},"threshold_sustained_for_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"time_window_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"trigger_less_than":{"type":"boolean"},"updated_at":{"$ref":"#/components/schemas/UTCTime"},"visualization_type":{"type":"string"},"warning_last_triggered":{"$ref":"#/components/schemas/UTCTime"},"warning_recovery_threshold":{"format":"double","type":"number"},"warning_threshold":{"format":"double","type":"number"},"widget_id":{"type":"string"}},"required":["id","project_id","created_at","updated_at","check_interval_mins","alert_threshold","log_query","log_query_as_sql","trigger_less_than","threshold_sustained_for_mins","alert_config","visualization_type","teams","current_status","current_value","notification_count","time_window_mins"],"type":"object"},"MonitorAlertConfig":{"properties":{"email_all":{"type":"boolean"},"emails":{"items":{"type":"string"},"type":"array"},"message":{"type":"string"},"severity":{"type":"string"},"slack_channels":{"items":{"type":"string"},"type":"array"},"subject":{"type":"string"},"title":{"type":"string"}},"required":["title","severity","subject","message","emails","email_all","slack_channels"],"type":"object"},"MonitorInput":{"properties":{"active":{"type":"boolean"},"alert_recovery_threshold":{"format":"double","type":"number"},"alert_threshold":{"format":"double","type":"number"},"check_interval_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"email_all":{"type":"boolean"},"emails":{"items":{"type":"string"},"type":"array"},"message":{"type":"string"},"notify_after_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"query":{"type":"string"},"severity":{"type":"string"},"slack_channels":{"items":{"type":"string"},"type":"array"},"stop_after_count":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"subject":{"type":"string"},"teams":{"items":{"$ref":"#/components/schemas/UUID"},"type":"array"},"threshold_sustained_for_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"time_window_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"title":{"type":"string"},"trigger_less_than":{"type":"boolean"},"visualization_type":{"type":"string"},"warning_recovery_threshold":{"format":"double","type":"number"},"warning_threshold":{"format":"double","type":"number"}},"required":["title","query","alert_threshold","trigger_less_than","check_interval_mins","time_window_mins","emails","slack_channels","teams"],"type":"object"},"MonitorPatch":{"properties":{"active":{"type":"boolean"},"alert_recovery_threshold":{"format":"double","type":"number"},"alert_threshold":{"format":"double","type":"number"},"check_interval_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"email_all":{"type":"boolean"},"emails":{"items":{"type":"string"},"type":"array"},"message":{"type":"string"},"notify_after_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"query":{"type":"string"},"severity":{"type":"string"},"slack_channels":{"items":{"type":"string"},"type":"array"},"stop_after_count":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"subject":{"type":"string"},"teams":{"items":{"$ref":"#/components/schemas/UUID"},"type":"array"},"threshold_sustained_for_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"time_window_mins":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"title":{"type":"string"},"trigger_less_than":{"type":"boolean"},"visualization_type":{"type":"string"},"warning_recovery_threshold":{"format":"double","type":"number"},"warning_threshold":{"format":"double","type":"number"}},"type":"object"},"EventsQuery":{"properties":{"from":{"type":"string"},"include_attributes":{"type":"boolean"},"limit":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"query":{"type":"string"},"since":{"type":"string"},"source":{"type":"string"},"to":{"type":"string"},"with_children":{"type":"boolean"}},"type":"object"},"ShareLinkCreated":{"properties":{"id":{"$ref":"#/components/schemas/UUID"},"url":{"type":"string"}},"required":["id","url"],"type":"object"},"ShareLinkCreate":{"properties":{"event_created_at":{"$ref":"#/components/schemas/UTCTime"},"event_id":{"$ref":"#/components/schemas/UUID"},"event_type":{"type":"string"}},"required":["event_id","event_created_at"],"type":"object"},"DashboardSummary":{"properties":{"created_at":{"$ref":"#/components/schemas/UTCTime"},"file_path":{"type":"string"},"id":{"$ref":"#/components/schemas/UUID"},"starred":{"type":"boolean"},"tags":{"items":{"type":"string"},"type":"array"},"teams":{"items":{"$ref":"#/components/schemas/UUID"},"type":"array"},"title":{"type":"string"},"updated_at":{"$ref":"#/components/schemas/UTCTime"}},"required":["id","title","tags","teams","starred","created_at","updated_at"],"type":"object"},"WidgetPosition":{"properties":{"h":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"w":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"x":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"y":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"}},"required":["x","y","w","h"],"type":"object"},"ApiKeySummary":{"properties":{"active":{"type":"boolean"},"created_at":{"$ref":"#/components/schemas/UTCTime"},"id":{"$ref":"#/components/schemas/UUID"},"key_prefix":{"type":"string"},"title":{"type":"string"}},"required":["id","title","key_prefix","active","created_at"],"type":"object"},"ApiKeyCreated":{"properties":{"key":{"type":"string"},"summary":{"$ref":"#/components/schemas/ApiKeySummary"}},"required":["summary","key"],"type":"object"},"ApiKeyCreate":{"properties":{"title":{"type":"string"}},"required":["title"],"type":"object"},"MeResponse":{"properties":{"host_url":{"type":"string"},"project":{"$ref":"#/components/schemas/ProjectSummary"},"project_id":{"$ref":"#/components/schemas/UUID"}},"required":["project_id","project","host_url"],"type":"object"},"ProjectSummary":{"properties":{"created_at":{"$ref":"#/components/schemas/UTCTime"},"description":{"type":"string"},"id":{"$ref":"#/components/schemas/UUID"},"payment_plan":{"type":"string"},"time_zone":{"type":"string"},"title":{"type":"string"},"updated_at":{"$ref":"#/components/schemas/UTCTime"}},"required":["id","title","description","payment_plan","time_zone","created_at","updated_at"],"type":"object"},"ProjectFull":{"properties":{"daily_notif":{"type":"boolean"},"endpoint_alerts":{"type":"boolean"},"error_alerts":{"type":"boolean"},"notify_emails":{"items":{"type":"string"},"type":"array"},"summary":{"$ref":"#/components/schemas/ProjectSummary"},"weekly_notif":{"type":"boolean"}},"required":["summary","daily_notif","weekly_notif","notify_emails","endpoint_alerts","error_alerts"],"type":"object"},"ProjectPatch":{"properties":{"daily_notif":{"type":"boolean"},"description":{"type":"string"},"endpoint_alerts":{"type":"boolean"},"error_alerts":{"type":"boolean"},"time_zone":{"type":"string"},"title":{"type":"string"},"weekly_notif":{"type":"boolean"}},"type":"object"},"LogPatternFull":{"properties":{"log_pattern":{"type":"string"},"sample_message":{"type":"string"},"summary":{"$ref":"#/components/schemas/LogPatternSummary"}},"required":["summary","log_pattern"],"type":"object"},"LogPatternSummary":{"properties":{"first_seen_at":{"$ref":"#/components/schemas/UTCTime"},"id":{"format":"int64","maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"is_error":{"type":"boolean"},"last_seen_at":{"$ref":"#/components/schemas/UTCTime"},"log_level":{"type":"string"},"occurrence_count":{"format":"int64","maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"pattern_hash":{"type":"string"},"project_id":{"$ref":"#/components/schemas/UUID"},"service_name":{"type":"string"},"source_field":{"type":"string"},"state":{"enum":["new","acknowledged","ignored"],"type":"string"}},"required":["id","project_id","pattern_hash","source_field","state","occurrence_count","first_seen_at","last_seen_at","is_error"],"type":"object"},"TeamSummary":{"properties":{"created_at":{"$ref":"#/components/schemas/UTCTime"},"description":{"type":"string"},"handle":{"type":"string"},"id":{"$ref":"#/components/schemas/UUID"},"is_everyone":{"type":"boolean"},"member_count":{"maximum":9223372036854775807,"minimum":-9223372036854775808,"type":"integer"},"name":{"type":"string"},"updated_at":{"$ref":"#/components/schemas/UTCTime"}},"required":["id","name","handle","description","is_everyone","member_count","created_at","updated_at"],"type":"object"},"TeamFull":{"properties":{"discord_channels":{"items":{"type":"string"},"type":"array"},"members":{"items":{"$ref":"#/components/schemas/UserRef"},"type":"array"},"notify_emails":{"items":{"type":"string"},"type":"array"},"pagerduty_services":{"items":{"type":"string"},"type":"array"},"phone_numbers":{"items":{"type":"string"},"type":"array"},"slack_channels":{"items":{"type":"string"},"type":"array"},"summary":{"$ref":"#/components/schemas/TeamSummary"}},"required":["summary","members","notify_emails","slack_channels","discord_channels","phone_numbers","pagerduty_services"],"type":"object"},"UserRef":{"properties":{"email":{"type":"string"},"id":{"$ref":"#/components/schemas/UUID"},"name":{"type":"string"}},"required":["id","email"],"type":"object"},"TeamInput":{"properties":{"description":{"type":"string"},"discord_channels":{"items":{"type":"string"},"type":"array"},"handle":{"type":"string"},"members":{"items":{"$ref":"#/components/schemas/UUID"},"type":"array"},"name":{"type":"string"},"notify_emails":{"items":{"type":"string"},"type":"array"},"pagerduty_services":{"items":{"type":"string"},"type":"array"},"phone_numbers":{"items":{"type":"string"},"type":"array"},"slack_channels":{"items":{"type":"string"},"type":"array"}},"required":["name","handle"],"type":"object"},"TeamPatch":{"properties":{"description":{"type":"string"},"discord_channels":{"items":{"type":"string"},"type":"array"},"handle":{"type":"string"},"members":{"items":{"$ref":"#/components/schemas/UUID"},"type":"array"},"name":{"type":"string"},"notify_emails":{"items":{"type":"string"},"type":"array"},"pagerduty_services":{"items":{"type":"string"},"type":"array"},"phone_numbers":{"items":{"type":"string"},"type":"array"},"slack_channels":{"items":{"type":"string"},"type":"array"}},"type":"object"},"MemberSummary":{"properties":{"email":{"type":"string"},"first_name":{"type":"string"},"id":{"$ref":"#/components/schemas/UUID"},"last_name":{"type":"string"},"permission":{"enum":["view","edit","admin"],"type":"string"},"user_id":{"$ref":"#/components/schemas/UUID"}},"required":["id","user_id","email","first_name","last_name","permission"],"type":"object"},"MemberAdd":{"properties":{"email":{"type":"string"},"permission":{"enum":["view","edit","admin"],"type":"string"},"user_id":{"$ref":"#/components/schemas/UUID"}},"type":"object"},"MemberPatch":{"properties":{"permission":{"enum":["view","edit","admin"],"type":"string"}},"required":["permission"],"type":"object"}},"securitySchemes":{"BearerAuth":{"in":"header","name":"Authorization","type":"apiKey"}}},"security":[{"BearerAuth":[]}],"openapi":"3.0.0"}